commit:     25fc58d9874ee513e04f49e5195acceca28f9532
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon May 14 11:02:54 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed May 16 10:49:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25fc58d9

app-text/scdoc: Bump to version 1.3.1. Removed old.

Fixed installation path.

Closes: https://bugs.gentoo.org/655722
Package-Manager: Portage-2.3.36, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/8397

 app-text/scdoc/Manifest                                   | 2 +-
 app-text/scdoc/{scdoc-1.2.3.ebuild => scdoc-1.3.1.ebuild} | 6 ++++--
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/app-text/scdoc/Manifest b/app-text/scdoc/Manifest
index 23793d69d4d..dcca3f3b01c 100644
--- a/app-text/scdoc/Manifest
+++ b/app-text/scdoc/Manifest
@@ -1 +1 @@
-DIST scdoc-1.2.3.tar.xz 6920 BLAKE2B 
7cafe512016dc7dcfa56216cac3f3fd99ef05dfefb67ce8dba9726c8d60b49829f444f66c62c4ee9a0d2464749510ba60ac0b72996c656e3d66aef80e5ef0546
 SHA512 
1d5170d2a73ebccdb83ffffbec5ec431aab54b02eea5b062d0210c98636d059dc1fa57bfc1573a0e510cc8849759f6bb6462e3f5a78f22273a10bf47f2e0a2c6
+DIST scdoc-1.3.1.tar.xz 8776 BLAKE2B 
1d11423abde7ec3e7b03ddc4f9698b7b78cac6972066c57886160974bd885225dc42793d19942c11ffd215f5dddd6453f66cbd083be03132b437b6f6f8a93c8a
 SHA512 
a404df2e2eef76cc02c69f32eb131eaa4d4ed51e96dc6ea39400662f767648538fc27c618cf34c064004918a92940ae5400e91b7b628e431132cb9619d3e94eb

diff --git a/app-text/scdoc/scdoc-1.2.3.ebuild 
b/app-text/scdoc/scdoc-1.3.1.ebuild
similarity index 86%
rename from app-text/scdoc/scdoc-1.2.3.ebuild
rename to app-text/scdoc/scdoc-1.3.1.ebuild
index fb88bae39fe..b1e8b927020 100644
--- a/app-text/scdoc/scdoc-1.2.3.ebuild
+++ b/app-text/scdoc/scdoc-1.3.1.ebuild
@@ -16,8 +16,10 @@ KEYWORDS="~amd64 ~x86"
 src_prepare() {
        default
 
-       sed -i 's/-Werror//' Makefile || die 'Failed to remove -Werror'
-       sed -i 's/CFLAGS=/CFLAGS+=/' Makefile || die 'Failed to patch makefile'
+       sed -e 's/-Werror//' \
+               -e 's/CFLAGS=/CFLAGS+=/' \
+               -e '/^PREFIX/s@=.*$@=/usr@' \
+               -i Makefile || die 'Failed to patch Makefile'
 }
 
 src_compile() {

Reply via email to